<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Datamodul;

class HLAusbildungsSchabloneDet extends \Datamodul
{
  
  public $ausbildung_schablone_id;

  
  public $fach;

  
  public $fremdsprache;

  
  public $agbart;

  
  public $anzahl;

  
  public $anzahlart;

  
  public $noteja;

  
  public $zeitraum;

  
  public $jahr;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
    default: return parent::getTyp($pFieldName);
    case 'ausbildung_schablone_id':
    case 'fach':
    case 'jahr':
    case 'agbart':
    case 'anzahl':
    case 'anzahlart':
      return \DatamodulVarType::TYPE_INT;
    case 'fremdsprache':
    case 'noteja':
      return \DatamodulVarType::TYPE_BOOL_WF;
    }
  }

  public function getDatamodulName(): string
  {
    return 'hlausbildungsschablonedet';
  }
}